﻿<!--Store error messages-->
    <section class="alert alert-danger">
        <h2>
            @if (ViewData.ModelState.ErrorCount == 1)
            {
                @Localizer["The form could not be submitted because 1 error was found."]
            }
            else
            {
                @Localizer["The form could not be submitted because {0} errors were found.", ViewData.ModelState.ErrorCount]
            }
        </h2>
        <ul>
            @foreach (var key in ViewData.ModelState.Keys)
            {
                foreach (var error in ViewData.ModelState[key].Errors)
                {
                    <li><a href="#@key">@error.ErrorMessage</a></li>

                }
            }
        </ul>
    </section>